<?php
function pet_house_general_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'pet_house_general', array(
			'priority' => 31,
			'title' => esc_html__( 'General', 'pet-house' ),
		)
	);

	/*=========================================
	Breadcrumb  Section
	=========================================*/
	$wp_customize->add_section(
		'pet_house_breadcrumb_setting', array(
			'title' => esc_html__( 'Breadcrumb Section', 'pet-house' ),
			'priority' => 1,
			'panel' => 'pet_house_general',
		)
	);
	
	// Settings 
	$wp_customize->add_setting(
		'pet_house_breadcrumb_settings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'pet_house_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'pet_house_breadcrumb_settings',
		array(
			'type' => 'hidden',
			'label' => __('Settings','pet-house'),
			'section' => 'pet_house_breadcrumb_setting',
		)
	);
	
	// Breadcrumb Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'pet_house_hs_breadcrumb' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'pet_house_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'pet_house_hs_breadcrumb', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'pet-house' ),
			'section'     => 'pet_house_breadcrumb_setting',
			'settings'    => 'pet_house_hs_breadcrumb',
			'type'        => 'checkbox'
		) 
	);

	/*=========================================
	Preloader Section
	=========================================*/
	$wp_customize->add_section(
		'pet_house_preloader_section_setting', array(
			'title' => esc_html__( 'Preloader', 'pet-house' ),
			'priority' => 3,
			'panel' => 'pet_house_general',
		)
	);

	// Preloader Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'pet_house_preloader_setting' , 
			array(
			'default' => '0',
			'sanitize_callback' => 'pet_house_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'pet_house_preloader_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Preloader', 'pet-house' ),
			'section'     => 'pet_house_preloader_section_setting',
			'settings'    => 'pet_house_preloader_setting',
			'type'        => 'checkbox'
		) 
	);

	/*=========================================
	Scroll To Top Section
	=========================================*/
	$wp_customize->add_section(
		'pet_house_scroll_to_top_section_setting', array(
			'title' => esc_html__( 'Scroll To Top', 'pet-house' ),
			'priority' => 3,
			'panel' => 'pet_house_general',
		)
	);

	// Scroll To Top Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'pet_house_scroll_top_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'pet_house_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'pet_house_scroll_top_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Scroll To Top', 'pet-house' ),
			'section'     => 'pet_house_scroll_to_top_section_setting',
			'settings'    => 'pet_house_scroll_top_setting',
			'type'        => 'checkbox'
		) 
	);

	/*=========================================
	Woocommerce Section
	=========================================*/
	$wp_customize->add_section(
		'pet_house_woocommerce_section_setting', array(
			'title' => esc_html__( 'Woocommerce Settings', 'pet-house' ),
			'priority' => 3,
			'panel' => 'pet_house_general',
		)
	);

	$wp_customize->add_setting(
    	'pet_house_custom_shop_per_columns',
    	array(
			'default' => '3',
			'sanitize_callback' => 'absint',
		)
	);	
	$wp_customize->add_control( 
		'pet_house_custom_shop_per_columns',
		array(
		    'label'   		=> __('Product Per Columns','pet-house'),
		    'section'		=> 'pet_house_woocommerce_section_setting',
			'type' 			=> 'number',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'pet_house_custom_shop_product_per_page',
    	array(
			'default' => '9',
			'sanitize_callback' => 'absint',
		)
	);	
	$wp_customize->add_control( 
		'pet_house_custom_shop_product_per_page',
		array(
		    'label'   		=> __('Product Per Page','pet-house'),
		    'section'		=> 'pet_house_woocommerce_section_setting',
			'type' 			=> 'number',
			'transport'         => $selective_refresh,
		)  
	);

	// Woocommerce Sidebar Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'pet_house_wocommerce_sidebar_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'pet_house_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'pet_house_wocommerce_sidebar_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Woocommerce Sidebar', 'pet-house' ),
			'section'     => 'pet_house_woocommerce_section_setting',
			'settings'    => 'pet_house_wocommerce_sidebar_setting',
			'type'        => 'checkbox'
		)
	);

}

add_action( 'customize_register', 'pet_house_general_setting' );