<?php
function pet_house_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

    // Site Title Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'pet_house_site_title_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'pet_house_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'pet_house_site_title_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Site Title', 'pet-house' ),
			'section'     => 'title_tagline',
			'settings'    => 'pet_house_site_title_setting',
			'type'        => 'checkbox'
		) 
	);

	// Tagline Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'pet_house_tagline_setting' , 
			array(
			'default' => '',
			'sanitize_callback' => 'pet_house_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'pet_house_tagline_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Tagline', 'pet-house' ),
			'section'     => 'title_tagline',
			'settings'    => 'pet_house_tagline_setting',
			'type'        => 'checkbox'
		) 
	);

	/*=========================================
	Header Settings Panel
	=========================================*/
	$wp_customize->add_panel( 
		'pet_house_header_section', 
		array(
			'priority'      => 2,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Header', 'pet-house'),
		) 
	);

	/*=========================================
	Pet House Site Identity
	=========================================*/
	$wp_customize->add_section(
        'title_tagline',
        array(
        	'priority'      => 1,
            'title' 		=> __('Site Identity','pet-house'),
			'panel'  		=> 'pet_house_header_section',
		)
    );

	$wp_customize->register_panel_type( 'Pet_House_WP_Customize_Panel' );
	$wp_customize->register_section_type( 'Pet_House_WP_Customize_Section' );

}
add_action( 'customize_register', 'pet_house_header_settings' );

if ( class_exists( 'WP_Customize_Panel' ) ) {
  	class Pet_House_WP_Customize_Panel extends WP_Customize_Panel {
	   public $panel;
	   public $type = 'pet_house_panel';
	   public function json() {

	      $array = wp_array_slice_assoc( (array) $this, array( 'id', 'description', 'priority', 'type', 'panel', ) );
	      $array['title'] = html_entity_decode( $this->title, ENT_QUOTES, get_bloginfo( 'charset' ) );
	      $array['content'] = $this->get_content();
	      $array['active'] = $this->active();
	      $array['instanceNumber'] = $this->instance_number;
	      return $array;
    	}
  	}
}

if ( class_exists( 'WP_Customize_Section' ) ) {
  	class Pet_House_WP_Customize_Section extends WP_Customize_Section {
	   public $section;
	   public $type = 'pet_house_section';
	   public function json() {

	      $array = wp_array_slice_assoc( (array) $this, array( 'id', 'description', 'priority', 'panel', 'type', 'description_hidden', 'section', ) );
	      $array['title'] = html_entity_decode( $this->title, ENT_QUOTES, get_bloginfo( 'charset' ) );
	      $array['content'] = $this->get_content();
	      $array['active'] = $this->active();
	      $array['instanceNumber'] = $this->instance_number;

	      if ( $this->panel ) {
	        $array['customizeAction'] = sprintf( 'Customizing &#9656; %s', esc_html( $this->manager->get_panel( $this->panel )->title ) );
	      } else {
	        $array['customizeAction'] = 'Customizing';
	      }
	      return $array;
    	}
  	}
}