<?php

// In your theme's functions.php or equivalent
add_action('customize_controls_enqueue_scripts', function() {
    $version = wp_get_theme()->get('Version');
    
    // Define parameters
    $customizer_params = array(
        'some_key' => 'some_value', // Add your parameters here
    );
    
    wp_enqueue_script(
        'pet-house-customize-section-button',
        get_theme_file_uri('assets/js/customize-controls.js'),
        ['customize-controls'],
        $version,
        true
    );

    wp_enqueue_style(
        'pet-house-customize-section-button',
        get_theme_file_uri('assets/css/customize-controls.css'),
        ['customize-controls'],
        $version
    );

    wp_localize_script(
        'pet-house-customize-section-button',
        'Pet_House_Customizer_params',
        $customizer_params
    );
});


 /**
 * Enqueue scripts and styles.
 */
function pet_house_scripts() {
	// Styles	 

	wp_enqueue_style('bootstrap-min',get_template_directory_uri().'/assets/css/bootstrap.min.css');

	// owl
	wp_enqueue_style( 'owl-carousel-css', get_theme_file_uri( '/assets/css/owl.carousel.css' ) );
		
	wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/assets/css/fontawesome-all.css' );
	
	wp_enqueue_style('pet-house-editor-style',get_template_directory_uri().'/assets/css/editor-style.css');

	wp_enqueue_style('pet-house-main', get_template_directory_uri() . '/assets/css/main.css');

	wp_enqueue_style('pet-house-woo', get_template_directory_uri() . '/assets/css/woo.css');
	
	wp_enqueue_style( 'pet-house-style', get_stylesheet_uri() );


	wp_enqueue_style('pet-house-main', get_stylesheet_uri(), array() );
		wp_style_add_data('pet-house-main', 'rtl', 'replace');
	
	// Scripts

	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false, true);

	wp_enqueue_script('pet-house-theme-js', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'), false, true);

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

	wp_enqueue_script( 'jquery-superfish', get_theme_file_uri( '/assets/js/jquery.superfish.js' ), array( 'jquery' ), '2.1.2', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// inlin css
	$pet_house_inline_style = '';

	$pet_house_slider_setting = get_theme_mod( 'pet_house_slider_setting', false);
	if($pet_house_slider_setting == false) {
	    $pet_house_inline_style .= '.page-template-template-frontpage .middle-header-area{';
	    $pet_house_inline_style .= 'position:static; border-bottom:1px solid #ccc;';
	    $pet_house_inline_style .= '}';
	}

	wp_add_inline_style( 'pet-house-style', $pet_house_inline_style );

}
add_action( 'wp_enqueue_scripts', 'pet_house_scripts' );

//Admin Enqueue for Admin
function pet_house_admin_enqueue_scripts(){
	wp_enqueue_style('pet-house-admin-style', esc_url( get_template_directory_uri() ) . '/inc/aboutthemes/admin.css');
}
add_action( 'admin_enqueue_scripts', 'pet_house_admin_enqueue_scripts' );